Last updated

API / geotoolkit / map / sources / loaders / ArcGISTile / ArcGISTile

Class: ArcGISTile

loaders.ArcGISTile.ArcGISTile

ArcGIS source loader that loads ArcGIS server settings (including tileInfo) and sets the standard tiles url. Supports ArcGIS version 9.3 and higher.

Hierarchy

Table of contents

Constructors
Methods

Contents

Constructors

new ArcGISTile(options)

new ArcGISTile(options?)

Parameters

Name Type Description
Optional optionsOptionsoptions

Overrides

ArcGISImage.constructor

Methods

clone

clone(): AbstractLoader

All subclasses should override copyConstructor or provide custom implementation for this method

Returns

AbstractLoader

clone

Inherited from

ArcGISImage.clone


cloneQueryParameters

cloneQueryParameters(loader): ArcGISTile

Copies query parameters from another loader

Parameters

Name Type Description
loaderAbstractLoaderloader to clone parameters

Returns

ArcGISTile

this

Inherited from

ArcGISImage.cloneQueryParameters


copyConstructor

Protected copyConstructor(src, deepCopy?): ArcGISTile

Copy constructor function.
Function used as part of the cloning mechanism.
Implementations should copy the given instance state to this instance.

Parameters

Name Type Description
srcAbstractLoaderSource to copy from
Optional deepCopybooleandeep copy

Returns

ArcGISTile

this

Inherited from

ArcGISImage.copyConstructor


getClassName

getClassName(): string

Returns

string

Inherited from

ArcGISImage.getClassName


getConnector

getConnector(): AbstractConnector<any>

Returns connector

Returns

AbstractConnector<any>

Inherited from

ArcGISImage.getConnector


getCopyright

getCopyright(): string

Returns copyright information.

Returns

string

Inherited from

ArcGISImage.getCopyright


getRequestOptions

getRequestOptions(): SendOptions

Returns server settings request options

Returns

SendOptions

Inherited from

ArcGISImage.getRequestOptions


getSettingsUrl

getSettingsUrl(): string

Returns server settings request url

Returns

string

request server data request

Inherited from

ArcGISImage.getSettingsUrl


loaded

Protected loaded(callback): void

Resolves loading promise asynchronically

Parameters

Name Type Description
callback(loader: AbstractLoader) => voidresolving callback

Returns

void

Inherited from

ArcGISImage.loaded


parse

parse(data, onload): void

Parses server data response

Parameters

Name Type Description
datastring | JSONObjectdata received from the server
onload(loader: AbstractLoader) => voidfunction to be called when data is loaded

Returns

void

Inherited from

ArcGISImage.parse


setQueryParameter

setQueryParameter(param, value): ArcGISTile

Sets the query parameter to add to the server settings request

Parameters

Name Type Description
paramstringparameter name
valuestring | number | booleanparameter value

Returns

ArcGISTile

this

Inherited from

ArcGISImage.setQueryParameter


getClassName

Static getClassName(): string

Returns

string

Inherited from

ArcGISImage.getClassName